<?php
$TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tstemplate.php']['linkData-PostProc'][] = 'EXT:realurl/class.tx_realurl.php:&tx_realurl->encodeSpURL';
$TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['checkAlternativeIdMethods-PostProc'][] = 'EXT:realurl/class.tx_realurl.php:&tx_realurl->decodeSpURL';

$TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearAllCache_additionalTables']['tx_realurl_urldecodecache'] = 'tx_realurl_urldecodecache';
$TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearAllCache_additionalTables']['tx_realurl_urlencodecache'] = 'tx_realurl_urlencodecache';

$TYPO3_CONF_VARS['FE']['addRootLineFields'] .= ',tx_realurl_pathsegment,alias,nav_title,title';


$TYPO3_CONF_VARS['EXTCONF']['realurl'] = array(
'my.domain'		=> 'my.other.domain',
'_DEFAULT' => array	(
															'init'		=> array(
																				'enableCHashCache'	=> true
																				),
															'redirects' => array(),
															'preVars'	=> array(
																				array(
																					'GETvar' 		=> 'no_cache',
																					'valueMap' 		=> array(
																											'no_cache'	=> 1,
																											),
																					'noMatch' 		=> 'bypass',
																				),															
																				array(
																					'GETvar' 		=> 'L',
																					'valueMap' 		=> array(
																											'de' 		=> '0',
																											'en' 		=> '1'
																											),
																					'valueDefault'	=> 'de'
																					)
																				),
														    'fileName' => array(),
															/*
														    'fileName' => array(
																				'index' => array(
																								'index.html' => array	(
																														'keyValues' => array(
																																			)
																														),
																								),
																				),
															*/
															'fixedPostVars' => array(),
															'postVarSets' => array(
																'_DEFAULT' => array (
																	'details' => array(
																	     array(
																	         'GETvar' => 'tx_mininews_pi1[mode]',
																	         'valueMap' => array(
																	             'list' => 1,
																	             'details' => 2
																	         ),
																			 'noMatch' 		=> 'bypass'
																	     ),
																	     array(
																	         'GETvar' => 'tx_mininews_pi1[showUid]'
																	     ),
																		 
																	     array(
																	         'GETvar' => 'tx_mininews_pi1[sword]',
																			 'noMatch' 		=> 'bypass'
																	     )												 
																	 )
															    )
															),
															'pagePath'	=> array(
																		        'type' 			=> 'user',
																		        'userFunc' 		=> 'EXT:realurl/class.tx_realurl_advanced.php:&tx_realurl_advanced->main',
																		        'spaceCharacter'=> '-',
																		        'autoUpdatePathCache' => true,
																		        'languageGetVar'=> 'L',
																		        'expireDays' 	=> 30
																				)
															),

		'my.other.domain' => array(
		'init' => array(			
			'enableCHashCache'     => 1,
			'appendMissingSlash'   => 'ifNotFile',
			'enableUrlDecodeCache' => 1,
			'enableUrlEncodeCache' => 1,			
		),
		'redirects' => array(),
		'preVars'   => array(),
		'pagePath'  => array(
			'type'           => 'user',
			'userFunc'       => 'EXT:realurl/class.tx_realurl_advanced.php:&tx_realurl_advanced->main',
			'spaceCharacter' => '_',
			'languageGetVar' => 'L',
			'expireDays'     => 7,
			'rootpage_id'    => 63,
		),
		'fixedPostVars' => array(),
		'postVarSets'   => array(
			'_DEFAULT' => array(
				// news archive parameters
				'archiv' => array(
					array(
						'GETvar' => 'tx_ttnews[year]',
					),
					array(
						'GETvar'   => 'tx_ttnews[month]',
						'valueMap' => array(
							'januar'   => '01',
							'februar'  => '02',
							'maerz'     => '03',
							'april'     => '04',
							'mai'       => '05',
							'juni'      => '06',
							'juli'      => '07',
							'august'    => '08',
							'september' => '09',
							'oktober'   => '10',
							'november'  => '11',
							'dezember'  => '12',
						),
					),
					array(
						'GETvar' => 'tx_ttnews[day]',
					),
					array(
						'GETvar'      => 'tx_ttnews[tt_news]',
						'lookUpTable' => array(
							'table'               => 'tt_news',
							'id_field'            => 'uid',
							'alias_field'         => 'title',
							'addWhereClause'      => ' AND NOT deleted',
							'useUniqueCache'      => 1,
							'useUniqueCache_conf' => array(
								'strtolower'     => 1,
								'spaceCharacter' => '_',
							)						
						),
					),
				),
				// news pagebrowser
				'browse' => array(
					array(
						'GETvar' => 'tx_ttnews[pointer]',
					),
				),			
				// news categories
				'kategorie' => array(
					array(
						'GETvar'      => 'tx_ttnews[cat]',
						'lookUpTable' => array(
							'table'               => 'tt_news_cat',
							'id_field'            => 'uid',
							'alias_field'         => 'title',
							'addWhereClause'      => ' AND NOT deleted',
							'useUniqueCache'      => 1,
							'useUniqueCache_conf' => array(
								'strtolower'     => 1,
								'spaceCharacter' => '_',
							),
						),
					),
				),					
				'not_cached' => array(
					'type' => 'single',
					'keyValues' => array(
						'no_cache' => 1,
					),
				),
				'xmlrpc' => array(
					'type' => 'single',
					'keyValues' => array(
						'type' => 200,
					),
				),
				'trackback' => array(
					'type' => 'single',
					'keyValues' => array(
						'type' => 200,
					),
				),
			),
		),
		
		'fileName' => array(
			'index' => array(
				'rss.xml' => array(
					'keyValues' => array(
						'type' => 100,
					),
				),
				/*
				'index.htm' => array(
					'keyValues' => array(),
				),
				*/
			),
			/* 'defaultToHTMLsuffixOnPrev' => 1, */
		),
	)	
);

?>